function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function GoPeaceTownAround()
    PRI()FAO(1)TRA("CS_peace_town_around","E0093",6,19)
end

function GoPeaceTownFireCave()
    PRI()FAO(3)TRA("CS_peace_town_firecave","E0091",94,16)
end

function CatchFirefly()
    if(ITC("Firefly") < 20) then
        PRI()
        GIT("Firefly")
        ITP("Firefly")
        SOU("CS_038_get_item")
        FLP(EID())
        DNP()
        MS4("Caught a firefly.")NOD()
        CAT("\nYou now have "..ITC("Firefly").." of them.")NOD()CLR()
        if(ITC("Firefly") == 20) then
            KEY()MS4("You have enough fireflies.")NOD()
            CAT("\nNo need to catch any more.")NOD()
        end
    else
        PRI()MS4("You have enough fireflies.")NOD()
        CAT("\nNo need to catch any more.")NOD()
    end
end